package de.tudarmstadt.maki.simonstrator.api.component.vehicular.data.change;

import de.tudarmstadt.maki.simonstrator.api.component.sensor.generic.VectorBasedDataRepresentation;
import de.tudarmstadt.maki.simonstrator.api.component.sensor.location.Location;

public interface ChangeContainer {
    public static final int LOCATION_INTERVAL = 10;

    VectorBasedDataRepresentation applyTemporalChange(VectorBasedDataRepresentation pDataRepresentation, long pCurrentTime);

    VectorBasedDataRepresentation applyGeographicalChange(VectorBasedDataRepresentation pDataRepresentation, Location pNewLocation);

    VectorBasedDataRepresentation applySpatioTemoralChange(VectorBasedDataRepresentation pDataRepresentation, long pCurrentTime,
            Location pNewLocation);

    int getServiceID();
    int getDimension();
}
