package de.tudarmstadt.maki.simonstrator.api.component.service.in_network_processing;

import de.tudarmstadt.maki.simonstrator.api.common.Transmitable;
import de.tudarmstadt.maki.simonstrator.api.component.sensor.generic.DataRepresentation;
import de.tudarmstadt.maki.simonstrator.api.component.sensor.location.Location;

public interface AccuracyCalculation extends Transmitable {
	double calculateAccuracy(DataRepresentation pDataRepresentation);

	double calculateAccuracy(DataRepresentation pDataRepresentation, Location pDesiredLocation, long pDesiredTime);

	int calculateExpectedIndex(DataRepresentation pDataRepresentation);

	int calculateExpectedIndex(DataRepresentation pDataRepresentation, Location pDesiredLocation, long pDesiredTime);


}
